Subject: Re: stuck tcp connections 2.6.26-rc7

From: Didier Raboud <[email-masked]>
Date: Mon, 23 Jun 2008 19:04:56 +0200

Justin Mattock wrote:

> On Mon, Jun 23, 2008 at 3:59 AM, Andrew Morton
> <[email-masked]> wrote:
>> On Sun, 22 Jun 2008 18:09:16 +0000 "Justin Mattock"
>> <[email-masked]> wrote:
>>
>>> Hello; I too am experiencing internet connectivity problems, for  a
>>> while I thought
>>> It was due to low bandwidth(or being ddos attacked) but yesterday I
>>> noticed with watch netstat -ntu
>>> send-Q was stuck on a number; the connection would not go to TIME_WAIT
>>> resulting in music to pause, and t.v. to freeze.
>>> In my experiences running xmms streaming music is fine, no problems,
>>> but as soon as
>>> you watch something with flash player the stream start's getting
>>> really bad. In the past with older kernel's
>>> I usually can watch t.v.(with flash) and stream music at the same time
>>> without any trouble.
>>> lately I've been Running the kernel in No forced Preemption with a
>>> time frequency at 100. having the kernel set in this mode really shows
>>> the connection problems, but if I change the preemption to another,
>>> and bump up the timer frequency the poor internet connection is not as
>>> bad(or stuck tcp) but still prevalent. more pops in the music, and
>>> sudden internet loss for around five seconds, then goes back
>>> So from over here streaming music has no problems from what I can see,
>>> but as soon as I watch media, it becomes a mess.
>>
>> (cc netdev)
>>
> 
> 
> Cool, Thanks for sending the cc
> regards;

Hi,

I get something like a similar bug: when pinging my local gateway, I loose
packets (over wifi (iwl3945) ). Before the update to 2.6.26-rc7 (Debian), I
had no such issues (which makes Internet browsing working but weirdly).

I can't know for sure that my bug is related to the above, but suppose so.
Please ask for details !

Regards, 

Didier Raboud
- -- 
Swisslinux.org − Le carrefour GNU/Linux en Suisse −
http://www.swisslinux.org